//---------------------------------------------------------------------------
#include<stdio.h>
#include<conio.h>
#pragma hdrstop
#include "regras.h"
#include "menu.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)

void mostraregras()
        {
        clrscr();
        caixa (79,47,'#',' ');
        gotoxy(37,4);
        printf("REGRAS");
        gotoxy(5,7);
        printf("    Inicialmente o computador gera um tabuleiro 10x10 onde dispoe os");
        gotoxy(5,8);
        printf("navios horizontalmente ou verticalmente de forma a que nao se toquem");
        gotoxy(5,9);
        printf("entre si.");
        gotoxy(5,11);
        printf("A frota e composta por: 1 barco de 4 canos, 2 barcos de 3 canos, 3");
        gotoxy(5,12);
        printf("barcos de 2 canos e 4 barcos de 1 cano.");
        gotoxy(5,14);
        printf("Na figura abaixo apresenta-se um exemplo do tabuleiro que e gerado pelo");
        gotoxy(5,15);
        printf("computador com os navios colocados aleatoriamente.");
        gotoxy(30,17);
        printf("  A B C D E F G H I J");
        gotoxy(30,18);
        printf("1 . . . . . X . X . .");
        gotoxy(30,19);
        printf("2 . X . . . X . X . .");
        gotoxy(30,20);
        printf("3 . . . . . . . X . .");
        gotoxy(30,21);
        printf("4 . . X X X . . . . .");
        gotoxy(30,22);
        printf("5 . . . . . . . . X X");
        gotoxy(30,23);
        printf("6 . . . . . . X . . .");
        gotoxy(30,24);
        printf("7 X X . X . . X . . .");
        gotoxy(30,25);
        printf("8 . . . . . . X . . .");
        gotoxy(30,26);
        printf("9 . X . . . . X . . .");
        gotoxy(30,27);
        printf("10. . . . . . . . X .");
        gotoxy(5,30);
        printf("O jogador tem um numero limite de jogadas para afundar os barcos do");
        gotoxy(5,31);
        printf("computador e este limite e definido no inicio do jogo.");
        gotoxy(5,33);
        printf("Por cada tiro do jogador, o computador envia uma mensagem dizendo se");
        gotoxy(5,34);
        printf("o tiro foi na agua ou, caso nao seja, em que barco acertou.");
        gotoxy(5,36);
        printf("O jogo termina quando o jogador afunda todos os barcos ou quando atinge");
        gotoxy(5,37);
        printf("o numero de jogadas limite.");
        gotoxy(5,39);
        printf("No final, o jogo mostra o tabuleiro do computador com os tiros certeiros,");
        gotoxy(5,40);
        printf("a pontuacao (cada cano vale um ponto) e o numero de jogadas.");
        gotoxy(23,44);
        printf("(Prima uma tela para voltar ao menu)");
        gotoxy(1,1);
        getch();
        }
